Skip to main content
GET
Get job status

Authorizations

X-API-Key
string
header
required

API key authentication. Generate an API key from your account settings at https://platform.comfy.org/profile/api-keys. Pass the key in the X-API-Key header.

Path Parameters

job_id
string<uuid>
required

The unique ID of the job

Response

Success - Job status returned

Job status information

id
string<uuid>
required

The job ID

status
enum<string>
required

Current job status

Available options:
waiting_to_dispatch,
pending,
in_progress,
completed,
error,
cancelled
created_at
string<date-time>
required

When the job was created

updated_at
string<date-time>
required

When the job was last updated

last_state_update
string<date-time>

When the job status was last changed

assigned_inference
string | null

The inference instance assigned to this job (if any)

error_message
string | null

Error message if the job failed